Errores de módulos y anuncios con PHP 7

Preguntas sobre cómo migrar a Joomla 3.x desde versiones obsoletas, o sobre cómo actualizar de una versión de Joomla 3.x a otra.

Moderators: carcam, AlexVega, hefesto

Locked
lee51
Joomla! Apprentice
Joomla! Apprentice
Posts: 32
Joined: Mon Jan 10, 2011 6:36 pm

Errores de módulos y anuncios con PHP 7

Post by lee51 » Tue Mar 20, 2018 11:38 am

Hola amigos.

He actualizado una pagina de 3.1.5 a 3.8.6.
Al parecer estaba todo correcto, pero me he dado cuenta que al entrar en algunos módulos y anuncios me da un error.
Parece que se debe al php 7. Le modificado el php del server a 5.6 y funciona correctamente.
Sabéis si hay algún problema o de que puede ser?
El error es general que no encuentra lo que busca... error 500
No se trata de ningún modulo ni complemento, ya que son cosas del mismo joomla.
Espero vuestra ayuda.
Saludos

lee51
Joomla! Apprentice
Joomla! Apprentice
Posts: 32
Joined: Mon Jan 10, 2011 6:36 pm

Re: Errores de módulos y anuncios con PHP 7

Post by lee51 » Wed Mar 21, 2018 7:13 am

Hola,
Autorespuesta... por si a alguien le puede servir.
El problema era el editor JCE. :(
En ningún sitio decía que se tuviera que actualizar, pero, algún problema tendría esta versión.

Saludos

User avatar
hefesto
Joomla! Hero
Joomla! Hero
Posts: 2578
Joined: Fri Jan 20, 2006 12:37 am
Location: Seville - Spain
Contact:

Re: Errores de módulos y anuncios con PHP 7

Post by hefesto » Fri Apr 13, 2018 11:47 am

Las extensiones hay que actualizarlas también a las últimas versiones. Si alguna que tengas 100% actualizada te da problemas con PHP7, deberías plantearte buscar otra, porque a día de hoy una extensión que no es compatible no ya con PHP 7, sino con PHP 7.1 (la versión 7.0 será EOL este año), es una extensión que su desarrollador no se toma en serio.

Entiendo que solucionaste el problema actualizando JCE a la última versión, ¿no?
Spanish forum local moderator
Twitter: @isidrobaq
Comunidad Joomla de España: https://joomlaes.org
NO atiendo peticiones privadas de soporte. Por favor, pregunta en los foros.


Locked

Return to “Migración y actualización a Joomla 3.x”